#define REZ
#include "jimsCDEF.h"

#include <MixedMode.r>
#include <FatRSRC.r>

#define ResType			'CDEF'
#define PPCResFile		"xDEF.FAT.rsrc"		//	Change to the name of this project's resource file
#define M68KResFile		"xDEF.rsrc"			//	If FAT, Change to name of the file to merge a 68K resource from
#define resPurgeable	32

type ResType as '<des';

resource ResType (0, "3D Buttons/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', 0),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', 0)
};
resource ResType (groupBox, "Group Box/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', groupBox),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', groupBox)
};

resource ResType (popUp, "Popup Menu/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', popUp),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', popUp)
};

resource ResType (spinner, "Spinner/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', spinner),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', spinner)
};

resource ResType (dateTime, "Date & Time/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', dateTime),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', dateTime)
};

resource ResType (togCDEF, "Tog Button/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', togCDEF),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', togCDEF)
};

resource ResType (hSlider, "HSlider/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', hSlider),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', hSlider)
};

resource ResType (vSlider, "VSlider/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', vSlider),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', vSlider)
};

resource ResType (1107, "3D Buttons/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', button3D),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', button3D)
};

resource ResType (progBar, "Progress Bar/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', progBar),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', progBar)
};

resource ResType (tabPanel, "Tab Panel/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', tabPanel),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', tabPanel)
};

resource ResType (slider, "Slider/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', slider),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', slider)
};
resource ResType (rectButton, "3DRect Buttons/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', rectButton),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', rectButton)
};
resource ResType (grayButton, "3DGray Buttons/FAT", resPurgeable) {
	$$Resource(M68KResFile, 'CDEF', grayButton),
	$00003BB0,
	$$Resource(PPCResFile, 'TEMP', grayButton)
};
